Create a group or add members
POST https://{controlplane_path}/api/1/rest/public/groupsCreates a group or adds members in the specified environment (organization). Environment admins can also create and manage groups from the Admin Manager Groups page.
To create the group and add members with the groups endpoint:
- Verify that the target environment (Org) exists.
- Create the group.
- Add the members to the group.
Prerequisites
- Environment (Org) admin permissions
Query parameters
None.
Request header
Basic authentication
To use basic authentication, specify Basic for authorization in the request
header, add your credentials (email and password for your SnapLogic user or service account), and
specify application/json for content type. For example:
Authorization: Basic {base64_encoded <email>:<password>}
Content-Type: application/json
Example of basic authentication using Postman:
Learn more about the basic authentication header in REST API requests.
JWT authentication
When using JWT authentication, the API request includes specific headers. In the request header,
specify Bearer Token for authorization, add the token, and specify
application/json for content type. These headers are automatically added when
you configure bearer token authentication in your API client. The authorization header contains
the word Bearer followed by a space and your JWT.
Authorization: Bearer Token {token}
Content-Type: application/json
Example of JWT authentication using Postman:
Request body
{
"organization" : "...",
"name" : "...",
"members" : [ ... ]
}
| Key | Type | Description |
|---|---|---|
organization |
string | The Environment/Org to create the group in. |
name |
string | Required. The name of the group. |
members |
array | An array of strings containing email addresses of users to add to the group. |
Response
{
"response_map": {},
"http_status_code": 200
}